[code]
#define ApplicationDir ".."

#define AppName "Parasitemia"
#define ExePath ApplicationDir + "/ParasitemiaUI/bin/Release/ParasitemiaUI.exe"
#define Version GetStringFileInfo(ExePath, 'ProductVersion')
#define BuildTime GetStringFileInfo(ExePath, 'BuildTime')

[Setup]
AppName={#AppName}
AppVersion={#Version}          
SetupIconFile={#ApplicationDir}/ParasitemiaUI/Resources/icon.ico 
DefaultDirName={pf}/{#AppName}
DefaultGroupName={#AppName}
UninstallDisplayIcon={app}/ParasitemiaUI.exe
Compression=lzma2
SolidCompression=yes
OutputBaseFilename={#AppName}-{#Version}-Setup
ChangesAssociations=yes

[Files]
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/ParasitemiaUI.exe"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/Emgu.CV.World.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/FSharp.Collections.ParallelSeq.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/FSharp.Core.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/FSharp.ViewModule.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/FsXaml.Wpf.dll"; DestDir: "{app}"; Flags: comparetimestamp     
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/FsXaml.Wpf.TypeProvider.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/Logger.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/MathNet.Numerics.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/Newtonsoft.Json.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/ParasitemiaCore.dll"; DestDir: "{app}"; Flags: comparetimestamp   
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/System.Windows.Interactivity.dll"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/WPF.dll"; DestDir: "{app}"; Flags: comparetimestamp        
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/ParasitemiaUI.exe.config"; DestDir: "{app}"; Flags: comparetimestamp
Source: "{#ApplicationDir}/ParasitemiaUI/bin/Release/x64/*"; DestDir: "{app}/x64"; Flags: comparetimestamp recursesubdirs

[Icons]     
Name: "{group}\Parasitemia"; Filename: "{app}/ParasitemiaUI.exe"; WorkingDir: "{app}"                      

[Tasks]
Name: ParasitemiaFileAssociation; Description: "Use Parasitemia to open ""piaz"" files"; GroupDescription: File extensions:

[Registry]
Root: HKCR; Subkey: ".piaz"; ValueType: string; ValueName: ""; ValueData: "Parasitemia"; Flags: uninsdeletevalue; Tasks: ParasitemiaFileAssociation 
Root: HKCR; Subkey: "Parasitemia"; ValueType: string; ValueName: ""; ValueData: "Parasitemia Prog"; Flags: uninsdeletekey
Root: HKCR; Subkey: "Parasitemia\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\ParasitemiaUI.exe,0"        
Root: HKCR; Subkey: "Parasitemia\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\ParasitemiaUI.exe"" ""%1"""

[Run]
Filename: "{app}/ParasitemiaUI.exe"; Flags: nowait postinstall runasoriginaluser; Description: "Launch Parasitemia"